MKUBOOT(8)

NAME
mkuboot - create U-Boot files

SYNOPSIS
mkuboot [-a arch] [-e entry] [-l loadaddr] [-n name] [-o os] [-t type] infile outfile

DESCRIPTION
The mkuboot utility creates images suitable for loading using the U-Boot bootloader.

The options are as follows:

-a arch
    Sets the image architecture to arch. For a list of valid arguments, see below.

-e entry
    Sets the entry point to entry.

-l loadaddr
    Sets the load address to loadaddr.

-n name
    Sets the name of the loaded object inside the generated image.

-o os
    Sets the image OS to os. os can be either “Linux” or “OpenBSD”.

-t type
    Sets the type of the object to be loaded. For a list of valid arguments, see below.

The following arguments are valid as the arch parameter:
    aarch64
    alpha
    amd64
    arm
    i386
    m68k
    mips
    mips64
    powerpc
    sparc
    sparc64
    superh

The following arguments are valid as the type parameter:
    standalone
    kernel
    script

HISTORY
An mkuboot utility first appeared in OpenBSD 4.4 as mkboot.